Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.ui.views.navigator
Class WorkspaceActionGroup

    java.lang.Object
      org.eclipse.ui.actions.ActionGroup
          org.eclipse.ui.views.navigator.ResourceNavigatorActionGroup
              org.eclipse.ui.views.navigator.WorkspaceActionGroup

public class WorkspaceActionGroup
extends ResourceNavigatorActionGroup

This is the action group for workspace actions such as Build, Refresh Local, and Open/Close Project.

Field Summary

Fields inherited from class org.eclipse.ui.views.navigator.ResourceNavigatorActionGroup
`navigator`

Constructor Summary
`WorkspaceActionGroup(IResourceNavigator navigator)`

Method Summary
`void` | `fillActionBars(IActionBars actionBars)` Adds the applicable actions to a part's action bars, including setting any global action handlers.
`void` | `fillContextMenu(IMenuManager menu)` Adds the build, open project, close project and refresh resource actions to the context menu.
`void` | `handleKeyPressed(KeyEvent event)` Handles a key pressed event by invoking the appropriate action.
`protected void` | `makeActions()` Makes the actions contained in this action group.
`void` | `updateActionBars()` Updates the state of the actions added to the action bars, including any global action handlers, based on the state of the `ActionContext`.

Methods inherited from class org.eclipse.ui.views.navigator.ResourceNavigatorActionGroup
`getImageDescriptor, getNavigator, runDefaultAction`

Methods inherited from class org.eclipse.ui.actions.ActionGroup
`dispose, getContext, setContext`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WorkspaceActionGroup

    public WorkspaceActionGroup(IResourceNavigator navigator)

Method Detail

### fillActionBars

    public void fillActionBars(IActionBars actionBars)

  Description copied from class: `ActionGroup`
  Adds the applicable actions to a part's action bars, including setting any global action handlers.

  The default implementation does nothing. Subclasses may override or extend this method.

  Overrides:
    `fillActionBars` in class `ActionGroup`
  Parameters:
    `actionBars` - the part's action bars

### fillContextMenu

    public void fillContextMenu(IMenuManager menu)

  Adds the build, open project, close project and refresh resource actions to the context menu.

  The following conditions apply: build-only projects selected, auto build disabled, at least one builder present open project-only projects selected, at least one closed project close project-only projects selected, at least one open project refresh-no closed project selected

  Both the open project and close project action may be on the menu at the same time.

  No disabled action should be on the context menu.

  Overrides:
    `fillContextMenu` in class `ActionGroup`
  Parameters:
    `menu` - context menu to add actions to

### handleKeyPressed

    public void handleKeyPressed(KeyEvent event)

  Handles a key pressed event by invoking the appropriate action.

  Overrides:
    `handleKeyPressed` in class `ResourceNavigatorActionGroup`

### makeActions

    protected void makeActions()

  Description copied from class: `ResourceNavigatorActionGroup`
  Makes the actions contained in this action group.

  Specified by:
    `makeActions` in class `ResourceNavigatorActionGroup`

### updateActionBars

    public void updateActionBars()

  Description copied from class: `ActionGroup`
  Updates the state of the actions added to the action bars, including any global action handlers, based on the state of the `ActionContext`.

  The default implementation does nothing. Subclasses may override or extend this method.

  Overrides:
    `updateActionBars` in class `ActionGroup`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Eclipse Platform Release 3.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp. and others 2000, 2004. All rights reserved.